libstaroffice_internal.cxx File Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
libstaroffice_internal.cxx File Reference
`#include <cmath>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <time.h>`
`#include <ctype.h>`
`#include <locale.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libstaroffice_internal.hxx"`

## Namespaces
| libstoff
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage

## Functions
uint8_t | libstoff::readU8 (librevenge::RVNGInputStream *input)
librevenge::RVNGString | libstoff::getString (std::vector< uint32_t > const &unicode)
| transform a unicode string in a RNVGString More...
void | libstoff::appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string More...
std::string | libstoff::numberingTypeToString (NumberingType type)
std::string | libstoff::numberingValueToString (NumberingType type, int value)
std::ostream & | operator<< (std::ostream &o, STOFFColor const &c)
std::ostream & | operator<< (std::ostream &o, STOFFBorderLine const &border)
std::ostream & | operator<< (std::ostream &o, STOFFEmbeddedObject const &pict)
bool | libstoff::convertToDateTime (uint32_t date, uint32_t time, std::string &dateTime)
| convert a date/time in a date time format More...
STOFFVec2f | libstoff::rotatePointAroundCenter (STOFFVec2f const &point, STOFFVec2f const &center, float angle)
| rotate a point around center, angle is given in degree More...
STOFFBox2f | libstoff::rotateBoxFromCenter (STOFFBox2f const &box, float angle)
| rotate a bdox and returns the final bdbox, angle is given in degree More...
float | libstoff::getScaleFactor (librevenge::RVNGUnit orig, librevenge::RVNGUnit dest)
| factor to convert from one unit to other More...

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFColor const & | c
| ) |  |

Referenced by STOFFEmbeddedObject::add(), STOFFChart::Legend::Legend(), STOFFBorderLine::operator!=(), STOFFColor::operator>=(), and StarItemStyle::StarItemStyle().

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFBorderLine const & | border
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFEmbeddedObject const & | pict
| ) |  |